StarObjectSmallGraphicInternal::OutlinerParaObject::Zone Struct Reference

small struct use to define a Zone: v<=3 More...

## Public Member Functions

| Zone ()
| constructor

## Public Attributes

std::shared_ptr< StarObjectSmallText > | m_text
| the text
int | m_depth
| the depth
STOFFColor | m_backgroundColor
| the background color
STOFFEmbeddedObject | m_background
| the background bitmap
librevenge::RVNGString | m_colorName
| the color name

## Friends

std::ostream & | operator<< (std::ostream &o, Zone const &zone)
| operator<<

## Detailed Description

small struct use to define a Zone: v<=3

## Constructor & Destructor Documentation

## Zone()

StarObjectSmallGraphicInternal::OutlinerParaObject::Zone::Zone | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Zone const & | zone )

friend

operator<<

## Member Data Documentation

## m_background

STOFFEmbeddedObject StarObjectSmallGraphicInternal::OutlinerParaObject::Zone::m_background

the background bitmap

Referenced by operator<<, StarObjectSmallGraphic::readSDROutlinerParaObject(), and Zone().

## m_backgroundColor

STOFFColor StarObjectSmallGraphicInternal::OutlinerParaObject::Zone::m_backgroundColor

the background color

Referenced by operator<<, StarObjectSmallGraphic::readSDROutlinerParaObject(), and Zone().

## m_colorName

librevenge::RVNGString StarObjectSmallGraphicInternal::OutlinerParaObject::Zone::m_colorName

the color name

Referenced by operator<<, StarObjectSmallGraphic::readSDROutlinerParaObject(), and Zone().

## m_depth

int StarObjectSmallGraphicInternal::OutlinerParaObject::Zone::m_depth

the depth

Referenced by operator<<, StarObjectSmallGraphic::readSDROutlinerParaObject(), and Zone().

## m_text

std::shared_ptr<StarObjectSmallText> StarObjectSmallGraphicInternal::OutlinerParaObject::Zone::m_text

the text

Referenced by operator<<, StarObjectSmallGraphic::readSDROutlinerParaObject(), and Zone().

The documentation for this struct was generated from the following file:

- StarObjectSmallGraphic.cxx